<bugID>1235661<Summary>sync services needs to use origin attributes correctly</Summary><Description>in the file dom/requestsync/RequestSyncService.jsm there is a call to createCodebasePrincipalFromOrigin that is used to remove the tasks associated with an app:

&gt; 172   clearData: function(aData) {
&gt; 173     debug('clearData');
&gt; 174
&gt; 175     if (!aData) {
&gt; 176       return;
&gt; 177     }
&gt; 178
&gt; 179     let pattern = JSON.parse(aData);
&gt; 180     let dbKeys = [];
&gt; 181
&gt; 182     for (let key in this._registrations) {
&gt; 183       let prin = Services.scriptSecurityManager.createCodebasePrincipalFromOrigin(key);
&gt; 184       if (!ChromeUtils.originAttributesMatchPattern(prin.originAttributes, pattern)) {
&gt; 185         continue;
&gt; 186       }

I'm pretty sure the solution is to populate an origin attribute from the key, then create a GlobalContextOriginAttribute from that to force the user context id to 0 and then call createCodebasePrincipal with the origin attributes instead.</Description></bugID>